# Uses of Class
org.springframework.validation.FieldError

Packages that use FieldError
Package
Description
org.springframework.validation
Provides data binding and validation functionality, for usage in business and/or UI layers.
org.springframework.validation.method
Abstractions and support classes for method validation, independent of the underlying validation library.

## Uses of FieldError in org.springframework.validation

Methods in org.springframework.validation that return FieldError
Modifier and Type
Method
Description
`FieldError`
AbstractBindingResult.`getFieldError()`
`FieldError`
AbstractBindingResult.`getFieldError(String field)`
`FieldError`
BindException.`getFieldError()`
`FieldError`
BindException.`getFieldError(String field)`
`default FieldError`
Errors.`getFieldError()`
Get the first error associated with a field, if any.
`default FieldError`
Errors.`getFieldError(String field)`
Get the first error associated with the given field, if any.
Methods in org.springframework.validation that return types with arguments of type FieldError
Modifier and Type
Method
Description
`List<FieldError>`
AbstractBindingResult.`getFieldErrors()`
`List<FieldError>`
AbstractBindingResult.`getFieldErrors(String field)`
`List<FieldError>`
AbstractErrors.`getFieldErrors(String field)`
`List<FieldError>`
BindException.`getFieldErrors()`
`List<FieldError>`
BindException.`getFieldErrors(String field)`
`List<FieldError>`
Errors.`getFieldErrors()`
Get all errors associated with a field.
`default List<FieldError>`
Errors.`getFieldErrors(String field)`
Get all errors associated with the given field.
`List<FieldError>`
SimpleErrors.`getFieldErrors()`
Methods in org.springframework.validation with parameters of type FieldError
Modifier and Type
Method
Description
`protected boolean`
AbstractErrors.`isMatchingFieldError(String field, FieldError fieldError)`
Check whether the given FieldError matches the given field.

## Uses of FieldError in org.springframework.validation.method

Methods in org.springframework.validation.method that return FieldError
Modifier and Type
Method
Description
`FieldError`
ParameterErrors.`getFieldError()`
`FieldError`
ParameterErrors.`getFieldError(String field)`
Methods in org.springframework.validation.method that return types with arguments of type FieldError
Modifier and Type
Method
Description
`List<FieldError>`
ParameterErrors.`getFieldErrors()`
`List<FieldError>`
ParameterErrors.`getFieldErrors(String field)`